:root {
   
}


/* header section */

.menu-icon {
    transform:none;
    left:auto;
    top:auto;
    position:relative;
    display:none;
}

/* menu icon */
.menu-container {
    position:relative;
    display:flex;
    justify-content:flex-end;
    align-items:center;
}

.icon .bar {
    background-color:#222;
    transition:.6s ease all;
}

.icon .bar.middle {
    width: 100%;
}

.icon .bar.last {
    width: 66%;
}

.menu-icon.open .bar.last {
    width:100%;
}




#nav-close {
    display:none;
    z-index:2;
}

.sub-menu-toggle {
    display:none;
}

@media screen and (max-width:1280px){

    body.nav-open {
        overflow:hidden;
        height:100vh;
    }

    .nav-open .nav-primary {
        height: calc(100vh - 100px);
        overflow: auto !important;
        padding-bottom: 50px;
    }

    .menu-icon, .phone-icon {
        display:block;
        transition:.6s ease all;
    }

    .nav-open .phone-icon {
        opacity:0;
    }

    .nav-primary {
        position:fixed;
        top:0;
        bottom:0;
        right:-100%;
        left:100%;
        width:100%;
        min-height:100vh;
        background:rgba(255,255,255,0.85);
        transition:.6s ease all;
        z-index: 2;
        transform:none;
        padding:3rem;
        top:146px;
    }

    .nav-open .nav-primary, .nav-primary.open {
        left:0;
    }

    #nav-close {
        position:absolute;
        right:3rem;
        top: 3rem;
        font-size:3rem;
        font-weight:bold;
        display: block;
        cursor:pointer;
    }

    .nav-primary ul {
        position:relative;
        list-style:none;
        width:100%;
        margin:0;
        padding:0;
        display: block; 
    }

    .nav-primary ul > li {
        display: block;
        position:relative;
        margin-bottom: 1rem;
    }

    .nav-primary .menu > li > a {
        padding:1rem 0;
        display: block;
        color:var(--text-color);
        line-height:1;
        font-size:2rem;
        width:calc(100% - 7rem);
        font-size: 2.8rem;
    }
  
    .nav-primary .sub-menu {
        display: none;
        width:100%;
        position: inherit;
        background-color: unset;
        top: 0;
        box-shadow: unset;
        overflow-Y: scroll;
    }

    .sub-menu-open > .sub-menu {
        display:block;
    }

    .menu-item-has-children > .sub-menu-toggle {
        display:flex;
    }

    .sub-menu-toggle {
        position:absolute;
        right: .8rem;
        top: .7rem;
        width: 3rem;
        height:3rem;
        justify-content: center;
        align-items: center;
    }
  
    .sub-menu-toggle:after {
        content: "\25BE"; /* down arrow */
        content: "\0002B"; /* plus */
        color: var(--text-color);
        font-size: 24px;
        font-family: Arial, sans-serif;
        position: absolute;
        
    }
  
    /* This will change the symbol for all nested divs */
    .plus .sub-menu-toggle:after {
        content: ""\0002B""; /* plus */
        font-size:3rem;
    }

    .plus .expanded > .sub-menu-toggle:after {
        content: "\02013"; /* minus */
        font-size:3rem;
    }

    .arrow .sub-menu-toggle:after {
        content:"\25BC"; /* down arrow outline */
    }

    .arrow .expanded > .sub-menu-toggle:after {
        content:"\25B5"; /* down arrow outline */
    }
  
    .nav-primary .sub-menu {
        padding-left: 1.4rem;
        left:auto;
        overflow:visible;
    }
    .nav-primary .sub-menu li a {
        
    }

    .nav-primary .sub-menu .sub-menu {
        padding-left: 2rem;
        left:auto;
    }
  
    .sub-menu .menu-item-has-children.sub-menu-open .sub-menu {
        left:auto;
        top: 1rem;
    }

    .phone-icon {
        width:38px;
        display:block;
        top:50%;
        transform:translateY(-50%);
    }

}

@media screen and (max-width:1023px){
    
    header {
        padding:0 4rem;
      }
    
}


@media screen and (max-width:767px){
    
    header {
        padding:0 2rem;
      }
    
    header .social-icons {
        display:none;
    }

    .menu-icon {
        right:0;
    }
}